import request from '@/utils/request'

// 查询修试审核任务列表
export function getQuestListApi(query) {
  return request({
    url: '/material/details/questList',
    method: 'get',
    params: query
  })
}
// 查询修试审核任务列表
export function getRepairAuditListApi(query) {
  return request({
    url: '/material/details/getRepairAuditList',
    method: 'get',
    params: query
  })
}

export function addDetailsAuditApi(data) {
  return request({
    url: '/material/details/audit',
    method: 'post',
    // contentType: 'application/json',
    data: data
  })
}

//
export function getRepairRecord(query) {
  return request({
    url: '/material/details/getRepairRecord',
    method: 'get',
    params: query
  })
}

//
export function getPartRecord(query) {
  return request({
    url: '/material/details/getPartRecord',
    method: 'get',
    params: query
  })
}






